From f7b0a7f4eca54797165e3c08bfb6575d082ced46 Mon Sep 17 00:00:00 2001
From: Denis 'GNUtoo' Carikli <GNUtoo@cyberdimension.org>
Date: Mar 30 2022 23:31:31 +0000
Subject: [PATCH 18/28] treewide: Maintainer: GNUtoo: clarify the maintainer situation


The status quo is that any Parabola hacker is expected to (be able to)
modify any packages, and having a single maintainer of a package
discourages that practice as people would typically send a patch to
the maintainer instead of pushing it directly.

So for a start we can add common maintainership on package lacking any
"Maintainer: " header for packages in repositories that are supposed
to be maintained.

As for finding who worked on a given package (in case it could be
needed), the git log should have all the information.

Signed-off-by: Denis 'GNUtoo' Carikli <GNUtoo@cyberdimension.org>

---

diff --git a/libre/aarch64-linux-gnu-gcc-initial/PKGBUILD b/libre/aarch64-linux-gnu-gcc-initial/PKGBUILD
index f78753f..5991c00 100644
--- a/libre/aarch64-linux-gnu-gcc-initial/PKGBUILD
+++ b/libre/aarch64-linux-gnu-gcc-initial/PKGBUILD
@@ -1,5 +1,4 @@
-# Maintainer: Denis 'GNUtoo' Carikli <GNUtoo@no-log.org>
-# Feel free to push modifications or take over maintainership
+# Maintainers: Parabola hackers <dev@lists.parabola.nu>
 
 _target=aarch64-linux-gnu
 pkgname=$_target-gcc-initial
diff --git a/libre/aarch64-linux-gnu-gcc/PKGBUILD b/libre/aarch64-linux-gnu-gcc/PKGBUILD
index b6ec4cf..bbd6d04 100644
--- a/libre/aarch64-linux-gnu-gcc/PKGBUILD
+++ b/libre/aarch64-linux-gnu-gcc/PKGBUILD
@@ -1,5 +1,4 @@
-# Maintainer: Denis 'GNUtoo' Carikli <GNUtoo@no-log.org>
-# Feel free to push modifications or take over maintainership
+# Maintainers: Parabola hackers <dev@lists.parabola.nu>
 
 _target=aarch64-linux-gnu
 pkgname=$_target-gcc
diff --git a/libre/linux-libre-64/PKGBUILD b/libre/linux-libre-64/PKGBUILD
index 233d390..0cc7350 100644
--- a/libre/linux-libre-64/PKGBUILD
+++ b/libre/linux-libre-64/PKGBUILD
@@ -1,5 +1,4 @@
-# Maintainer: Denis 'GNUtoo' Carikli <GNUtoo@cyberdimension.org>
-# Feel free to push modifications or take over maintainership
+# Maintainers: Parabola hackers <dev@lists.parabola.nu>
 
 # Based on the linux-libre package
 
diff --git a/libre/powerpc64le-linux-gnu-gcc-initial/PKGBUILD b/libre/powerpc64le-linux-gnu-gcc-initial/PKGBUILD
index 9a2ab10..cec36d3 100644
--- a/libre/powerpc64le-linux-gnu-gcc-initial/PKGBUILD
+++ b/libre/powerpc64le-linux-gnu-gcc-initial/PKGBUILD
@@ -1,5 +1,4 @@
-# Maintainer: Denis 'GNUtoo' Carikli <GNUtoo@no-log.org>
-# Feel free to push modifications or take over maintainership
+# Maintainers: Parabola hackers <dev@lists.parabola.nu>
 
 _target=powerpc64le-linux-gnu
 pkgname=$_target-gcc-initial
diff --git a/libre/uboot4extlinux-imx/PKGBUILD b/libre/uboot4extlinux-imx/PKGBUILD
index 64e25a6..4b71d5a 100644
--- a/libre/uboot4extlinux-imx/PKGBUILD
+++ b/libre/uboot4extlinux-imx/PKGBUILD
@@ -2,7 +2,7 @@
 # Contributor: Isaac David <isacdaavid@at@isacdaavid@dot@info>
 # Contributor: André Silva <emulatorman@hyperbola.info>
 # Contributor: Timothy Redaelli <timothy.redaelli@gmail.com>
-# Maintainer: Denis 'GNUtoo' Carikli <GNUtoo@cyberdimension.org>
+# Maintainers: Parabola hackers <dev@lists.parabola.nu>
 
 # TODO:
 # - Add the following boards
diff --git a/libre/x86_64-pc-linux-gnu-binutils/PKGBUILD b/libre/x86_64-pc-linux-gnu-binutils/PKGBUILD
index 4efc7d9..d3fa9a5 100644
--- a/libre/x86_64-pc-linux-gnu-binutils/PKGBUILD
+++ b/libre/x86_64-pc-linux-gnu-binutils/PKGBUILD
@@ -1,5 +1,4 @@
-# Maintainer: Denis 'GNUtoo' Carikli <GNUtoo@no-log.org>
-# Feel free to push modifications or take over maintainership
+# Maintainers: Parabola hackers <dev@lists.parabola.nu>
 
 _target=x86_64-pc-linux-gnu
 pkgname=$_target-binutils
diff --git a/libre/x86_64-pc-linux-gnu-gcc/PKGBUILD b/libre/x86_64-pc-linux-gnu-gcc/PKGBUILD
index ff40697..d8e9a86 100644
--- a/libre/x86_64-pc-linux-gnu-gcc/PKGBUILD
+++ b/libre/x86_64-pc-linux-gnu-gcc/PKGBUILD
@@ -1,5 +1,4 @@
-# Maintainer: Denis 'GNUtoo' Carikli <GNUtoo@no-log.org>
-# Feel free to push modifications or take over maintainership
+# Maintainers: Parabola hackers <dev@lists.parabola.nu>
 
 _target=x86_64-pc-linux-gnu
 pkgname=$_target-gcc
diff --git a/pcr/drm_info/PKGBUILD b/pcr/drm_info/PKGBUILD
index fe5ec3e..9aa872e 100644
--- a/pcr/drm_info/PKGBUILD
+++ b/pcr/drm_info/PKGBUILD
@@ -1,5 +1,5 @@
 # Maintainer (AUR): emersion <contact emersion fr>
-# Maintainer: Denis 'GNUtoo' Carikli <GNUtoo@cyberdimension.org>
+# Maintainers: Parabola hackers <dev@lists.parabola.nu>
 
 # parabola changes and rationale:
 #  - Added armv7h and i686 support
diff --git a/pcr/league-gothic-font/PKGBUILD b/pcr/league-gothic-font/PKGBUILD
index cc5764a..8fdcdcf 100644
--- a/pcr/league-gothic-font/PKGBUILD
+++ b/pcr/league-gothic-font/PKGBUILD
@@ -1,8 +1,9 @@
 # Maintainer (AUR): Caleb Maclennan <caleb@alerque.com>
 # Maintainer (AUR): LightDot <lightdot -a-t- g m a i l>
 # Contributor (AUR): samæ <samæ at marvid dot fr>
-# Maintainer: Denis 'GNUtoo' Carikli <GNUtoo@cyberdimension.org>
+# Contributor: Denis 'GNUtoo' Carikli <GNUtoo@cyberdimension.org>
 # Contributor: bill-auger <bill-auger@programmer.net>
+# Maintainers: Parabola hackers <dev@lists.parabola.nu>
 
 _fnt_name=league-gothic
 pkgbase=$_fnt_name-font

